%{?nodejs_find_provides_and_requires}

%global packagename matrix-appservice

Name: nodejs-%{packagename}
Version: 0.3.2
Release: 1%{?dist}.3
Summary: Matrix application service framework
License: ASL 2.0
URL: https://github.com/matrix-org/matrix-appservice-node
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires:  nodejs-packaging
BuildRequires:  npm(express) >= 3.5.0
BuildRequires:  npm(body-parser) >= 1.12.0
BuildRequires:  npm(body-parser) < 2.0.0
BuildRequires:  npm(js-yaml) >= 3.2.7
BuildRequires:  npm(js-yaml) < 4.0.0
BuildRequires:  npm(morgan) >= 1.0.0
BuildRequires:  npm(morgan) < 2.0.0
BuildRequires:  npm(request) >= 2.53.0
BuildRequires:  npm(request) < 3.0.0

%description
This is a Matrix Application Service framework written in Node.js.

This can be used to quickly setup performant application services
for almost anything you can think of in a web framework agnostic way.


%prep
%setup -q -n package
%nodejs_fixdep body-parser '^1.12.0'
%nodejs_fixdep express '>=3.5.0'
%nodejs_fixdep morgan '^1.0.0'
%nodejs_fixdep request '^2.53.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Mon Sep 19 2016 Oleg Girko <ol@infoserver.lv> - 0.3.2-1
- Initial package
